package net.sf.doolin.gui.action;

import net.sf.doolin.util.Utils;

import org.springframework.beans.factory.annotation.Required;

public class ServiceGUIAction<T> extends AbstractSimpleGUIAction {

	private Object targetBean;
	private String methodName;

	@Override
	protected void doExecute(ActionContext context) throws Exception {
		// Gets the data
		Object data = getActionContextData(context);
		// Calls the service
		Utils.callMethod(this.targetBean, this.methodName, data);
	}

	public String getMethodName() {
		return this.methodName;
	}

	public Object getTargetBean() {
		return this.targetBean;
	}

	@Required
	public void setMethodName(String methodName) {
		this.methodName = methodName;
	}

	@Required
	public void setTargetBean(Object targetBean) {
		this.targetBean = targetBean;
	}

}
