package net.sf.doolin.gui.action.path.statusbar;

import javax.swing.JComponent;
import javax.swing.border.Border;

import net.sf.doolin.gui.action.ActionContext;

/**
 * Definition for the building of a component for a status bar. This component
 * does not need to have a {@link Border} since the status bar will set one on
 * it.
 * 
 * @author Damien Coraboeuf
 * 
 */
public interface StatusBarComponent {

	/**
	 * Creates the component for the given action context.
	 * 
	 * @param actionContext
	 *            Action context to create the component into.
	 * @return Component to install in the status bar
	 */
	JComponent createComponent(ActionContext actionContext);

}
