package net.sf.doolin.gui.display;

import net.sf.doolin.bus.support.PropertyChangeSupport;
import net.sf.doolin.gui.action.ActionContext;

/**
 * Checks that the context is not null.
 * 
 * @author Damien Coraboeuf
 * 
 */
public class ContextDisplayStateHandler extends AbstractDisplayStateHandler {

	@Override
	public DisplayState getDisplayState(ActionContext actionContext) {
		return (actionContext.getContext() != null) ? DisplayState.ENABLED
				: DisplayState.DISABLED;
	}

	@Override
	public void subscribe(ActionContext actionContext, Runnable task) {
		PropertyChangeSupport.subscribe(actionContext.getSubscriberValidator(),
				actionContext, "context", task);
	}

}
