package net.sf.doolin.gui.field.support;

import javax.swing.JComponent;

import net.sf.doolin.gui.field.FieldDescriptor;
import net.sf.doolin.gui.view.GUIView;

/**
 * Simple field definition that associates a view, a field descriptor and a
 * component.
 * 
 * @author Damien Coraboeuf
 * 
 * @param <V>
 *            Type of object for the view
 */
public class SimpleField<V> extends AbstractField<V> {

	private final JComponent fieldComponent;

	/**
	 * Instantiates a new simple field.
	 * 
	 * @param view
	 *            the view
	 * @param fieldDescriptor
	 *            the field descriptor
	 * @param fieldComponent
	 *            the field component
	 */
	public SimpleField(GUIView<V> view, FieldDescriptor<V> fieldDescriptor,
			JComponent fieldComponent) {
		super(view, fieldDescriptor);
		this.fieldComponent = fieldComponent;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public JComponent getFieldComponent() {
		return fieldComponent;
	}

}
