package net.sf.doolin.gui.field.table;

import java.util.Comparator;

/**
 * Gets and sets the value for an item in a table.
 * 
 * @author Damien Coraboeuf
 * 
 */
public interface ColumnValueFactory {

	/**
	 * Gets the value for a row item
	 * 
	 * @param item
	 *            Row item
	 * @return Value for the column
	 */
	Object getValue(Object item);

	/**
	 * Sets the value for a row item
	 * 
	 * @param item
	 *            Row item
	 * @param value
	 *            Value for the column
	 */
	void setValue(Object item, Object value);

	/**
	 * Gets a comparator for the value
	 * 
	 * @return Comparator
	 */
	Comparator<?> getComparator();

}
