package net.sf.doolin.gui.field.table.header;

import javax.swing.JComponent;

import net.sf.doolin.gui.field.table.support.GUITable;

/**
 * Factory for a custom header in a table scroll pane.
 * 
 * @author Damien Coraboeuf
 * 
 * 
 * @param <V>
 *            Type of object for the view
 * @param <E>
 *            Type of item in the table
 */
public interface CustomHeaderFactory<V, E> {

	/**
	 * Creates the custom header for the table
	 * 
	 * @param table
	 *            Table
	 * @return Header component or <code>null</code>
	 */
	JComponent createHeaderComponent(GUITable<V, E> table);

}
