package net.sf.doolin.gui.field.tree;

import java.util.List;

import net.sf.doolin.gui.swing.DefaultLabelInfoProvider;
import net.sf.doolin.gui.swing.LabelInfoProvider;

import org.springframework.beans.factory.annotation.Required;

/**
 * Definition of a node for a {@link FieldTree}.
 * 
 * @author Damien Coraboeuf
 * 
 */
public class Node {

	private String id;
	private boolean root;
	private boolean changeSupport;
	private List<Children> children;

	private LabelInfoProvider labelProvider = new DefaultLabelInfoProvider();

	public List<Children> getChildren() {
		return this.children;
	}

	public String getId() {
		return this.id;
	}

	public LabelInfoProvider getLabelProvider() {
		return this.labelProvider;
	}

	public boolean isChangeSupport() {
		return this.changeSupport;
	}

	public boolean isRoot() {
		return this.root;
	}

	public void setChangeSupport(boolean changeSupport) {
		this.changeSupport = changeSupport;
	}

	public void setChildren(List<Children> children) {
		this.children = children;
	}

	@Required
	public void setId(String id) {
		this.id = id;
	}

	public void setLabelProvider(LabelInfoProvider labelProvider) {
		this.labelProvider = labelProvider;
	}

	public void setRoot(boolean root) {
		this.root = root;
	}

}
