package net.sf.doolin.gui.field.tree.support;

import java.util.Collection;
import java.util.Collections;

import net.sf.doolin.util.Utils;

/**
 * This children definition implementation calculates the list of children
 * objects based on a property on the parent object.
 * 
 * @author Damien Coraboeuf
 */
public class PropertyChildren extends AbstractChildren {

	private String property;

	public Collection<?> getChildBeans(Object root) {
		Object value = Utils.getProperty(root, this.property);
		if (value == null) {
			return null;
		} else if (value instanceof Collection<?>) {
			return (Collection<?>) value;
		} else {
			return Collections.singletonList(value);
		}
	}

	/**
	 * @return Property name to get on the parent object
	 */
	public String getProperty() {
		return this.property;
	}

	/**
	 * @param property
	 *            Property name to get on the parent object
	 */
	public void setProperty(String property) {
		this.property = property;
	}

}
