package net.sf.doolin.gui.layout;

import java.awt.BorderLayout;

import javax.swing.JComponent;
import javax.swing.JPanel;

/**
 * This layout service accepts one and only one component that fills the whole
 * container.
 * 
 * @author Damien Coraboeuf
 * 
 */
public class SingleLayoutService implements LayoutService {

	@Override
	public void add(JPanel panel, JComponent component, Object constraint) {
		panel.add(component, BorderLayout.CENTER);
	}

	@Override
	public void init(JPanel panel) {
		panel.setLayout(new BorderLayout());
	}

}
