package net.sf.doolin.gui.validation;

import net.sf.doolin.bus.support.SubscriberValidator;

/**
 * Validator interface for the Doolin GUI framework
 * 
 * @author Damien Coraboeuf
 * 
 * @param <B>
 *            Type of the bean to validate
 */
public interface GUIValidator<B> {

	/**
	 * Validates the model
	 * 
	 * @param model
	 *            Model to validate
	 * @return Result of the validation
	 */
	GUIValidation validate(B model);

	/**
	 * Subscribes the validator to the model changes.
	 * 
	 * @param validator
	 *            Subscription validator
	 * @param model
	 *            Model to subscribe to
	 * @param runnable
	 *            Task to subscribe
	 */
	void subscribe(SubscriberValidator validator, B model, Runnable runnable);

}
