package net.sf.doolin.gui.validation.support;

/**
 * Definition of a validator.
 * 
 * @author Damien Coraboeuf
 * 
 */
public interface ObjectValidator {

	/**
	 * Validates the {@code value}.
	 * 
	 * @param value
	 *            Value to check
	 * @return Result of the validation (<code>true</code> if there is no
	 *         validationerror)
	 */
	boolean validate(Object value);

	/**
	 * Gets the string key of the validation error message
	 * 
	 * @return String key
	 */
	String getMsgKey();

	/**
	 * Gets the parameters for the validation error message
	 * 
	 * @param name
	 *            Name of the object that has been tested
	 * @return List of parameters for the validation error message
	 */
	Object[] getParams(String name);

}
