package net.sf.doolin.gui.view;

/**
 * Listens to life-cycle view events.
 * 
 * @author Damien Coraboeuf
 * 
 * @param <B>
 *            Type of the view data.
 */
public interface GUIViewListener<B> {

	/**
	 * This method is called when the view is actually closed
	 * 
	 * @param view
	 *            View
	 */
	void onViewClosed(GUIView<B> view);

	/**
	 * This method is called when the view is created
	 * 
	 * @param view
	 *            View
	 */
	void onViewInit(GUIView<B> view);

	/**
	 * This method is called when the view is shown
	 * 
	 * @param view
	 *            View
	 */
	void onViewShown(GUIView<B> view);

}
