package net.sf.doolin.gui.window.dialog;

import net.sf.doolin.gui.action.AbstractTextAction;
import net.sf.doolin.gui.action.ActionContext;

/**
 * Abstract implementation for an action which deals with a
 * {@link DialogGUIWindow}.
 * 
 * @author Damien Coraboeuf
 * 
 * @param <B>
 *            Type of bean for the window
 */
public abstract class AbstractDialogAction<B> extends AbstractTextAction {

	/**
	 * Constructor for the action
	 * 
	 * @param id
	 *            Action id
	 * @see DialogAction
	 */
	public AbstractDialogAction(String id, String text, boolean textKey) {
		super(id, text, textKey);
	}

	/**
	 * Gets the {@link DialogGUIWindow} instance for the {@link ActionContext}.
	 * 
	 * @param actionContext
	 *            Action content
	 * @return {@link DialogGUIWindow} instance
	 */
	@SuppressWarnings("unchecked")
	public DialogGUIWindow<B> getDialog(ActionContext actionContext) {
		return (DialogGUIWindow<B>) actionContext.getWindow();
	}

}
