package net.sf.doolin.gui.window.dialog;

import javax.swing.UIManager;

import net.sf.doolin.gui.action.ActionContext;
import net.sf.doolin.gui.display.ValidationDisplayStateHandler;

/**
 * Standard OK action for a dialog
 * 
 * @author Damien Coraboeuf (x74639)
 * 
 * @param <B>
 *            Type of data for the dialog
 */
public class DialogOKAction<B> extends AbstractDialogAction<B> {

	/**
	 * Constructor
	 * 
	 * @see ValidationDisplayStateHandler
	 * @see DialogAction#OK
	 */
	public DialogOKAction() {
		super(DialogAction.OK, UIManager.getString("OptionPane.okButtonText"),
				false);
		setDisplayStateHandler(new ValidationDisplayStateHandler());
	}

	@Override
	protected void doExecute(ActionContext context) throws Exception {
		getDialog(context).close();
	}

	@Override
	protected String getShortcut() {
		return null;
	}

}
