package net.sf.doolin.gui.window.opener;

import net.sf.doolin.gui.action.ActionContext;
import net.sf.doolin.gui.action.support.ActionDelegate;

public abstract class AbstractViewOpener<V> implements ViewOpener<V> {

	private ActionDelegate<V> actionDelegate;

	protected void delegate(ActionContext actionContext, V model) {
		if (this.actionDelegate != null) {
			this.actionDelegate.call(actionContext, model);
		}
	}

	public ActionDelegate<V> getActionDelegate() {
		return this.actionDelegate;
	}

	public ActionContext openView(ActionContext actionContext, V model) {
		// Delegation
		delegate(actionContext, model);
		// Implementation
		return openViewInternal(actionContext, model);
	}

	protected abstract ActionContext openViewInternal(
			ActionContext actionContext, V model);

	public void setActionDelegate(ActionDelegate<V> actionDelegate) {
		this.actionDelegate = actionDelegate;
	}

}
