package net.sf.doolin.gui.wizard.rule;

import java.util.HashMap;
import java.util.Map;

import net.sf.doolin.gui.action.GUIAction;

/**
 * Basic implementation for the wizard navigation rules. It manages the
 * transition actions.
 * 
 * @author Damien Coraboeuf
 * 
 * @param <B>
 *            Type of bean for the wizard
 */
public abstract class AbstractWizardRules<B> implements WizardRules<B> {

	private Map<String, GUIAction> transitionActions = new HashMap<String, GUIAction>();

	@Override
	public GUIAction getTransitionAction(String viewId) {
		return this.transitionActions.get(viewId);
	}

	/**
	 * Sets the transition actions for the wizard, which are executed each time
	 * a view is navigated to.
	 * 
	 * @param transitionActions
	 *            Map of actions indexed by view name
	 */
	public void setTransitionActions(Map<String, GUIAction> transitionActions) {
		this.transitionActions = transitionActions;
	}

}
