package net.sf.doolin.gui.wizard.support;

import net.sf.doolin.gui.window.GUIWindow;
import net.sf.doolin.gui.window.GUIWindowFactory;
import net.sf.doolin.gui.window.dialog.DialogActionsFactory;

/**
 * This {@linkplain GUIWindowFactory window factory} creates a window for a
 * wizard.
 * 
 * @author Damien Coraboeuf
 * @see WizardWindow
 * 
 */
public class WizardWindowFactory implements GUIWindowFactory {

	private DialogActionsFactory wizardActionsFactory = DefaultWizardActionsFactory.INSTANCE;

	@Override
	public <B> GUIWindow<B> createWindow() {
		return new WizardWindow<B>(this.wizardActionsFactory);
	}

	/**
	 * Sets the factory for the wizard actions (previous, next, etc). By
	 * default, it is set to {@link DefaultWizardActionsFactory}.
	 * 
	 * @param wizardActionsFactory
	 *            Wizard actions factory
	 */
	public void setWizardActionsFactory(
			DialogActionsFactory wizardActionsFactory) {
		this.wizardActionsFactory = wizardActionsFactory;
	}

}
